package com.clx.performance.service.collect;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.app.collect.*;
import com.clx.performance.vo.pc.collect.CarrierDriverCollectTransportIntentionRecordVO;
import com.clx.performance.vo.pc.collect.CarrierDriverCollectTransportIntentionVO;

import java.util.List;

/**
 * @author kavin
 * Date 2024-10-17
 * Time 16:26
 */
public interface CollectDriverTransportIntentionService {
    Integer saveCarrierDriverCollectTransportIntention(CarrierDriverCollectTransportIntentionAddParam param);

    Integer updateCarrierDriverCollectTransportIntention(CarrierDriverCollectTransportIntentionEditParam param);

    Integer enableCarrierDriverCollectTransportIntention(CarrierDriverCollectTransportIntentionEnableParam param);

    Integer deleteCarrierDriverCollectTransportIntention(CarrierDriverCollectTransportIntentionDetailParam param);

    IPage<CarrierDriverCollectTransportIntentionVO> listCarrierDriverCollectTransportIntention(CarrierDriverCollectTransportIntentionListParam param);

    List<CarrierDriverCollectTransportIntentionRecordVO> detailCarrierDriverCollectTransportIntention(CarrierDriverCollectTransportIntentionDetailParam param);

    IPage<CarrierDriverCollectTransportIntentionVO> listCarrierDriverCollectTransportIntentionAll(AppCarrierDriverCollectTransportIntentionParam param);

    void updateAdjustOrder(Integer adjustOrderId, Integer adjustOrderBeforeId);
}
